#include <iostream>
int main() {
    std::ios::sync_with_stdio(false);
    int x, y, r=0, d = 1, jx, jy;
    std::cin >> x >> y;
    while(x || y) {
        jx = x % 10; jy = y % 10;
        if(jx > jy)
            r += jx * d;
        else{
            r += jy * d;
            if(jx == jy && x > 0 && y > 0) {
                d *= 10;
                r += jy * d;
            }
        }
        d *= 10; x /= 10; y /= 10;
    }
    std::cout << r;
}